Bug 151611 - Installer problem when uninstalling Examples and Demo or Documenation categories using the installer
Installer problem when uninstalling Examples and Demo or Documenation categor...
Status: NEW
Product: Red Hat Application Server
Classification: Retired
Component: jonas (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Permaine Cheung
Depends On:
  Show dependency treegraph
Reported: 2005-03-20 16:11 EST by Permaine Cheung
Modified: 2008-05-01 11:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Permaine Cheung 2005-03-20 16:11:26 EST
Description of problem:
This is actually a installer problem, but I couldn't find it as a product to
report this bug against.
After the Documentation category is installed, when bringing up the Installer
again, only the Documentation and are shown as installed, so I unchecked those
categories to uninstall, but the installer goes blank with a traceback. It seems
like that when only partial packages from a category is installed, the installer
does not consider it being installed, and won't let you select packages from
that category to be uninstalled.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Installer and install only the Documentation category and finish the
2. Start Installer again and try to uninstall the Client, Documentation categories
Actual results:
Installer goes blank with a traceback
  Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/InstallDruid.py", line 250, in
    assert (install_list != [] or remove_list !=[])

Expected results:
Uninstalls successfully

Additional info:
The same happens when uninstalling the Examples and Demo category
Comment 1 Deepak Bhole 2005-06-28 12:44:23 EDT
This happens on PPC and IA64 all the time now. 

Once something is is installed, and the user tries to uninstall, then regardless
of category selected for the uninstallation, the next installer page is blank
and that traceback appears.

Note You need to log in before you can comment on or make changes to this bug.